MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030233Community[OCCT] OCCT:Modeling Algorithmspublic2018-10-11 10:102021-07-28 12:06
ReporterHayashi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.5.2Fixed in Version[OCCT] 7.5.2 
Summary0030233: Boolean operations fail with fuzzy values
DescriptionCutting of the attached face and solid will fail.
bfuzzyvalue 0.001 --- succeed
bfuzzyvalue 0.0001 --- fail
bfuzzyvalue 0.00001 --- succeed
Steps To Reproducerestore face.brep f
restore solid.brep s
brunparallel 1
bnondestructive 1
bfuzzyvalue 0.0001
bop f s
bopcut r
TagsNo tags attached.
Test case number
Attached Fileszip file icon shape.zip (1,891 bytes) 2018-10-11 10:10

- Relationships
related to 0032443newmsv Boolean operations fail with fuzzy values, and tolerance is large 

-  Notes
(0101855)
Hayashi (reporter)
2021-06-16 02:51

I confirmed that it was resolved by V7_3_0p4 and V7_5_2.
Please close.
(0101861)
kgv (developer)
2021-06-16 11:06

Hayashi, thanks for testing.

- Issue History
Date Modified Username Field Change
2018-10-11 10:10 Hayashi New Issue
2018-10-11 10:10 Hayashi Assigned To => msv
2018-10-11 10:10 Hayashi File Added: shape.zip
2021-06-16 02:51 Hayashi Note Added: 0101855
2021-06-16 11:06 kgv Note Added: 0101861
2021-06-16 11:06 kgv Assigned To msv => bugmaster
2021-06-16 11:06 kgv Status new => feedback
2021-06-16 11:06 kgv Resolution open => fixed
2021-06-16 11:06 kgv Target Version => 7.5.2
2021-06-16 11:08 kgv Relationship added related to 0032443
2021-07-28 12:06 bugmaster Status feedback => closed
2021-07-28 12:06 bugmaster Fixed in Version => 7.5.2


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker